summaryrefslogtreecommitdiff
path: root/scripts/functions
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/functions')
-rw-r--r--scripts/functions3
1 files changed, 1 insertions, 2 deletions
diff --git a/scripts/functions b/scripts/functions
index b71734b..ec0d9a1 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -2149,8 +2149,7 @@ CT_DoExtractPatch()
if [ -d "${overlay}" ]; then
CT_DoExecLog ALL cp -av "${overlay}/." "${CT_BUILD_DIR}/overlay"
else
- ext=`CT_GetFileExtension "${overlay}"`
- if [ ! -r "${overlay}${ext}" ]; then
+ if ! ext=`CT_GetFileExtension "${overlay}"`; then
CT_Abort "Overlay ${overlay} not found"
fi
CT_Extract "${overlay}${ext}" "${CT_BUILD_DIR}/overlay"